package sgc.portal.ei.ei0103.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0103.dto.EI01030001USearch;
import sgc.portal.ei.ei0103.model.EI01030001U;
import sgc.portal.ei.ei0103.service.EI01030001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/ei/ei0103")
public class EI01030001UController {
    private final EI01030001UService service;

    public EI01030001UController(EI01030001UService service) {
        this.service = service;
    }
    
    /*
     * 조회 LIST
     */
    @PostMapping("/EI01030001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody EI01030001USearch search) {
        return service.getList(search);
    }
    
    /*
     * SAVE LIST
     */
    @PostMapping("/EI01030001U/save")
    public Map<String, String> save(@RequestBody List<EI01030001U> eI01030001U) {
    	return service.save(eI01030001U);
    }
    
}
